package com.heyu.api.data.service.impl.ota;
/**
* <p>
* OTA固件版本信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.ota.OtaVersionInfoDao;
import com.heyu.api.data.entity.ota.OtaVersionInfoEntity;
import com.heyu.api.data.service.ota.OtaVersionInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OtaVersionInfoServiceImpl extends ServiceImpl<OtaVersionInfoDao, OtaVersionInfoEntity> implements OtaVersionInfoService {


    @Autowired
	private OtaVersionInfoDao otaVersionInfoDao;



	@Override
	public OtaVersionInfoEntity selectOtaVersionInfoById(Long id){
		return otaVersionInfoDao.selectOtaVersionInfoById(id);
	}



	@Override
	public Long insertOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo){
		return otaVersionInfoDao.insertOtaVersionInfo(otaVersionInfo);
	}



	@Override
	public Long insertOrUpdateOtaVersionInfo(OtaVersionInfoEntity otaVersionInfo){
		return otaVersionInfoDao.insertOrUpdateOtaVersionInfo(otaVersionInfo);
	}



	@Override
	public int updateOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo){
		return otaVersionInfoDao.updateOtaVersionInfoById(otaVersionInfo);
	}



	@Override
	public int updateCoverOtaVersionInfoById(OtaVersionInfoEntity otaVersionInfo){
		return otaVersionInfoDao.updateCoverOtaVersionInfoById(otaVersionInfo);
	}



	@Override
	public int deleteOtaVersionInfoById(Long id){
		return otaVersionInfoDao.deleteOtaVersionInfoById(id);
	}



}
